Subject: RE: CMS payment for March 2002 production
From: [email-masked]
To: [email-masked]
Date: Mon, 29 Apr 2002 12:00:17 -0700 (PDT)

Who did you talk to?

 -----Original Message-----
From: 	Hamic, Priscilla  
Sent:	Monday, April 29, 2002 1:56 PM
To:	Germany, Chris
Subject:	RE: CMS payment for March 2002 production

They were faxed this invoice several times.

 -----Original Message-----
From: 	Germany, Chris  
Sent:	Monday, April 29, 2002 1:52 PM
To:	Germany, Chris; Hamic, Priscilla; Polsky, Phil
Cc:	Barbe, Robin; McMichael Jr., Ed
Subject:	RE: CMS payment for March 2002 production

Ed, this is what we discussed.

 -----Original Message-----
From: 	Germany, Chris  
Sent:	Monday, April 29, 2002 1:29 PM
To:	Hamic, Priscilla; Polsky, Phil
Cc:	Barbe, Robin
Subject:	CMS payment for March 2002 production

I just spoke with Janelle Shaunghnessy (517-768-2076) at CMS Marketing regarding our March 2002 production invoice to them.  The invoice is for the 50,000 dth per day of Michcon Storage gas that we were selling CMS.  The total amount is $3,695,975.00.

According to Janelle she has not received the invoice yet so I just faxed it to her at 517-768-2110.  She said that they should be able to make the payment tomorrow.

1:28 PM, I just confirmed that Janelle received the faxed invoice.